//**********************
// Remote control header
//
// (C)Copyright 2012 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
//**********************

#ifndef __REMOCON_H
#define __REMOCON_H

#define PORT0		0
#define PORT1		1
#define PORT2		2
#define PORT3		3

#define Remocon_DAT	(LPC_GPIO1->DATA&0x20)
#define	Remocon_IN	GPIOSetDir(PORT1,5, 0)

#define KEY1	0x84
#define KEY2	0x83
#define KEY3	0x87
#define KEY4	0x86
#define KEY5	0x8B
#define KEY6	0x8A
#define KEY7	0x90
#define KEY8	0x8F
#define KEY9	0x96
#define KEY10	0x95
#define KEY11	0x9D
#define KEY12	0x9C
#define POWER_KEY	0x84
#define MUTE_KEY	0x83
#define OLED_KEY	0x87
#define UP_KEY		0x86
#define JACKET_KEY	0x8B
#define DOWN_KEY	0x8A
#define SELECT_KEY	0x90
#define PHONES_KEY	0x8F
#define FPGA_KEY	0xA1
#define FS_KEY		0xA2
#define CSD_L_KEY	0xA3
#define CSD_R_KEY	0xA4
#define LEVEL_KEY	0xA5
#define STATUS_KEY	0xA6
#define VERSION_KEY	0xA7

extern volatile unsigned char CODE[4];
extern volatile unsigned REMOCON_flag;

void InitRemocon();
void ScanRemocon();

#endif
